#define F_CPU 16000000UL
#define __AVR_ATmega328P__
#include <avr/interrupt.h>
#include <avr/io.h>
#include <util/delay.h>
#include "../include/uart.h"

#define BAUD 9600
#define MYUBRR F_CPU/16/BAUD-1


int main (void)
{
    uart_init();
    sei();
    while (1)
    {
        // uart_prints("foofofofo");
        // _delay_ms(1000);
    }
}

ISR (USART_RX_vect) {
    // echo the message
    char c = UDR0;
    uart_printc(c);
}
